Class | Fog::Compute::VirtualBox::Server
In: | lib/fog/virtual_box/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

destroy network_adapters new private_ip_address public_ip_address ready? reboot save setup start stop storage_controllers

### Public Class methods

new(attributes={})

property :accelerate_2d_video_enabled, T_BOOL property :accelerate_3d_enabled, T_BOOL property :access_error, :VirtualBoxErrorInfo, :readonly => true property :accessible, T_BOOL, :readonly => true property :audio_adapter, :AudioAdapter, :readonly => true property :bandwidth_control, :BandwidthControl, :readonly => true property :bios_settings, :BIOSSettings, :readonly => true property :chipset_type, :ChipsetType property :clipboard_mode, :ClipboardMode property :cpu_count, T_UINT32 property :cpu_execution_cap, T_UINT64 property :cpu_hot_plug_enabled, T_BOOL property :current_snapshot, :Snapshot, :readonly => true property :current_state_modified, T_BOOL, :readonly => true property :fault_tolerance_address, WSTRING property :fault_tolerance_password, WSTRING property :fault_tolerance_port, T_UINT64 property :fault_tolerance_state, :FaultToleranceState property :fault_tolerance_sync_interval, T_UINT64 property :firmware_type, :FirmwareType property :guest_property_notification_patterns, WSTRING property :hardware_uuid, WSTRING property :hardware_version, WSTRING property :hpet_enabled, T_BOOL property :io_cache_enabled, T_BOOL property :io_cache_size, T_UINT32 property :keyboard_hid_type, T_UINT32 property :last_state_change, T_INT64, :readonly => true property :log_folder, WSTRING, :readonly => true property :medium_attachments, [:MediumAttachment], :readonly => true property :memory_balloon_size, T_UINT64 property :monitor_count, T_UINT64 property :page_fusion_enabled, T_BOOL property :parent, :VirtualBox, :readonly => true property :pci_device_assignments, [:PciDeviceAttachment], :readonly => true property :pointing_hid_type, T_UINT32 property :session_pid, T_UINT64, :readonly => true property :session_type, WSTRING, :readonly => true property :settings_file_path, WSTRING, :readonly => true property :settings_modified, T_BOOL, :readonly => true property :shared_folders, [:SharedFolder], :readonly => true property :snapshot_count, T_UINT32, :readonly => true property :snapshot_folder, WSTRING property :state_file_path, WSTRING, :readonly => true property :storage_controllers, [:StorageController], :readonly => true property :teleporter_address, WSTRING property :teleporter_enabled, T_BOOL property :teleporter_password, WSTRING property :teleporter_port, T_UINT32 property :usb_controller, :USBController, :readonly => true property :vrde_server, :VRDEServer, :readonly => true

### Public Instance methods

destroy()
network_adapters()
private_ip_address()
public_ip_address()
ready?()
reboot()
save()
setup(credentials = {})
start(type = 'headless')
stop()
storage_controllers()

[Validate]